.intro{
	position: relative;
	display: flex;
	min-height: 93.8rem;
	padding-top: calc(var(--header-height) + 3rem);
	padding-bottom: 5rem;
	background-color: var(--primary-color);
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover;
	color: #fff;
}

.intro.intro-main {
	margin-bottom: 13rem;	
	background-color: black;
	/* height: 100vh; */
}

.intro-main{
	background-image: url('../img/intro-bg.png'); 
	background-position: center/center;
	background-repeat: no-repeat;
	background-size: cover;
	--header-height: 126px;
}

.intro__video{
	position: absolute;
	left: 0;
	top: 0;
	z-index: 1;
	width: 100%;
	height: 100%;
	-o-object-fit: cover;
	object-fit: cover;
}

.intro__wrapper{
	position: relative;
	z-index: 1;
	display: flex;
	flex-direction: column;
	height: 100%;
}

.intro__content{
	margin-top: auto;
}

.intro__title{
	position: relative;
	max-width: 135rem;
	margin-bottom: 4rem;
	padding-bottom: 1.8rem;
	border-bottom: 2px solid rgba(255, 255, 255, 0.41);
	font: var(--h1-text);
}

.intro.intro-main .intro__content-wrapper {
	padding-top: 4rem;
}

.intro__content-wrapper {
	display: grid;
	grid-template-columns: repeat(2,1fr);
	gap: 2rem;
}

.intro__content-left {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}

.intro__text {
	display: flex;
	flex-direction: column;
	gap: 1.6rem;
	max-width: 41.3rem;
	margin-bottom: 3rem;
	font: var(--text-t1);
}

.intro__links {
	position: relative;
	display: flex;
	gap: 7.7rem;
}



.intro__link::after {
	position: absolute;
	left: calc(100% + .2rem);
	top: -1.6rem;
	display: flex;
	justify-content: center;
	align-items: center;
	min-width: 3.8rem;
	min-height: 3.8rem;
	padding: 0 .5rem;
	border: 1px solid rgba(255,255,255,.4);
	border-radius: 50%;
	font: var(--text-t1);
	transition: background-color .3s,border-color .3s,color .3s;
}

.intro__link {
	position: relative;
	font: var(--title-h4);
}

.intro__link:hover::after {
	border-color: var(--third-color);
	background-color: var(--third-color);
	color: var(--head-color);
}



/* right intro  */
@keyframes rotateLogo{
	0% {
	-webkit-transform: rotate(0);
	transform: rotate(0);
	}
	100%, 5% {
	-webkit-transform: rotate(180deg);
	transform: rotate(180deg);
	}
}


.intro__content-right {
	display: flex;
	align-items: flex-start;
	gap: 7rem;
}

.intro__tag {
	display: flex;
	align-items: center;
	gap: .7rem;
	flex-shrink: 0;
	font: var(--text-t4);
}

.icon-logo-mini {
	-webkit-transform-origin: center center;
	transform-origin: center center;
	will-change: transform;
	-webkit-animation-name: rotateLogo;
	animation-name: rotateLogo;
	-webkit-animation-duration: 7s;
	animation-duration: 7s;
	-webkit-animation-timing-function: ease-in-out;
	animation-timing-function: ease-in-out;
	-webkit-animation-iteration-count: infinite;
	animation-iteration-count: infinite;

	color: var(--third-color);
}

.intro__trailer {
	display: grid;
	grid-template-columns: repeat(2,1fr);
	gap: 2.6rem 5.5rem;
}

.intro__trailer-item {
	position: relative;
	display: flex;
	flex-direction: column;
	gap: 1rem;
}

.intro__trailer-title {
  	font: var(--text-item);
}

.intro__trailer-title a::before {
	position: absolute;
	left: 0;
	top: 0;
	z-index: 1;
	width: 100%;
	height: 100%;
}

.intro__trailer-category {
	font: 400 1.4rem/125% var(--main-ff);
	color: rgba(255,255,255,.8);
}



/* actual */

.actual {
  	padding-bottom: 15rem;
}


.actual .section-header {
  	margin-bottom: 5rem;
}






.actual__header {
	display: grid;
	grid-template-columns: repeat(2,1fr);
	gap: 2rem;
	margin-bottom: 6.4rem;
}


.actual__tabs {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	gap: 1rem;
}

.product_count::after{
	content: var(--product-count);
}

.service_count::after{
	content: var(--service-count);
}

.actual__tab::after {
	position: absolute;
	left: calc(100% + .5rem);
	top: -1.4rem;
	display: flex;
	justify-content: center;
	align-items: center;
	padding: 0 .5rem;
	min-width: 3.8rem;
	height: 3.8rem;
	border: 1px solid #D9D9D9;
	border-radius: 50%;
	font: var(--text-t1);
	color: var(--head-color);
}

.actual__tab.active {
	opacity: 1;
}

.actual__tab {
	position: relative;
	opacity: .1;
	font: 400 8.8rem/100% var(--main-ff);
	color: var(--head-color);
	transition: opacity .3s;
}

.actual__descs {
 	position: relative;
}

.actual__desc.active {
	position: static;
	opacity: 1;
	visibility: visible;
}

.actual__desc {
	position: absolute;
	top: 0;
	left: 0;
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	gap: 4rem;
	width: 100%;
	opacity: 0;
	visibility: hidden;
	transition: opacity .3s;
}

.actual__text {
	max-width: 57.4rem;
	font: var(--text-t1);
}


.actual__tab:hover:not(.active)  {
  	opacity: .3;
}


.actual__tabs-contents {
  	position: relative;
}


.actual__tabs-content.active {
	position: static;
	opacity: 1;
	visibility: visible;
}

.actual__tabs-content {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	opacity: 0;
	visibility: hidden;
	transition: opacity .3s;
}

.products-list {
	display: grid;
	grid-template-columns: repeat(4,1fr);
	gap: 2rem;
	counter-reset: products;
}

.products-list__item {
  	position: relative;
}

.products-list .icon-product-green-2, .products-list .products-list__item--green .products-list__link::after, .products-list__item--green .products-list .products-list__link::after {
	left: -15.1rem;
	top: 18rem;
	width: 34.3rem;
	height: 34.3rem;
}

.products-list__item--green .products-list__link::after {
  	background: url(../assets/product-green-2.svg) center/contain no-repeat;
}

.products-list__item .products-list__link::after {
	content: "";
	position: absolute;
	-webkit-transform: rotate(45deg);
	transform: rotate(45deg);
	opacity: 0;
	transition: opacity .4s .1s;
}

.products-list__link::before {
	counter-increment: products;
	content: counter(products,decimal-leading-zero);
	position: absolute;
	top: 3.4rem;
	left: 3.4rem;
	z-index: 1;
	font: 300 3rem/80% var(--main-ff);
	letter-spacing: -.04em;
}

.products-list__link {
	position: relative;
	z-index: 1;
	display: flex;
	flex-direction: column;
	gap: 2rem;
	padding: 3.4rem;
	min-height: 41.5rem;
	border-radius: 2rem;
	background-color: var(--primary-bg);
	overflow: hidden;
	color: var(--head-color);
}

.products-list__category::before {
	content: "";
	width: 1.1rem;
	height: 1.1rem;
	flex-shrink: 0;
	border-radius: 50%;
	background-color: var(--head-color);
}

.products-list__category {
  position: relative;
  z-index: 1;
  display: flex;
  align-items: flex-start;
  align-self: flex-end;
  gap: 1rem;
  max-width: 14rem;
  font: 400 1.4rem/125% var(--main-ff);
  line-height: 120%;
  letter-spacing: 1px;
}

.products-list__title {
	position: relative;
	z-index: 1;
	margin-top: auto;
	font: 600 2.4rem/115% var(--main-ff);
	color: var(--head-color);
	transition: .3s;
}

.products-list__more {
	position: absolute;
	bottom: 3.4rem;
	left: 3.4rem;
	z-index: 1;
	opacity: 0;
	font: 400 1.4rem/120% var(--main-ff);
	letter-spacing: 1px;
	transition: .2s;
}

.products-list svg {
  	position: absolute;
}

.products-list .icon-product-green-2, .products-list .products-list__item--green .products-list__link::after, .products-list__item--green .products-list .products-list__link::after {
	left: -15.1rem;
	top: 18rem;
	width: 34.3rem;
	height: 34.3rem;
}

.products-list__item svg {
	-webkit-transform: rotate(45deg);
	transform: rotate(45deg);
	transition: transform .5s ease-in-out;
	transition: transform .5s ease-in-out,-webkit-transform .5s ease-in-out;
}

svg {
	flex-shrink: 0;
	display: block;
	-webkit-user-select: none;
	-ms-user-select: none;
	user-select: none;
	fill: currentcolor;
	transition: fill .2s;
	overflow: visible;
}

.products-list .icon-product-green-1 {
	left: -12.5rem;
	top: 13.8rem;
	width: 33rem;
	height: 33rem;
}

.products-list .icon-product-light-blue-2, .products-list .products-list__item--light-blue .products-list__link::after, .products-list__item--light-blue .products-list .products-list__link::after {
	left: -19.5rem;
	top: -3rem;
	width: 34.3rem;
	height: 34.3rem;
}

.products-list__item--light-blue .products-list__link::after {
  	background: url(../assets/product-light-blue-2.svg) center/contain no-repeat;
}

.products-list .icon-product-light-blue-2, .products-list .products-list__item--light-blue .products-list__link::after, .products-list__item--light-blue .products-list .products-list__link::after {
	left: -19.5rem;
	top: -3rem;
	width: 34.3rem;
	height: 34.3rem;
}

.products-list .icon-product-light-blue-1 {
	left: -19.5rem;
	top: -7.2rem;
	width: 34.3rem;
	height: 34.3rem;
}

.products-list .icon-product-sky-2, .products-list .products-list__item--sky .products-list__link::after, .products-list__item--sky .products-list .products-list__link::after {
	right: -15.5rem;
	bottom: -7rem;
	width: 34.3rem;
	height: 34.3rem;
}

.products-list__item--sky .products-list__link::after {
  background: url(../assets/product-sky-2.svg) center/contain no-repeat;
}

.products-list .icon-product-sky-2, .products-list .products-list__item--sky .products-list__link::after, .products-list__item--sky .products-list .products-list__link::after {
	right: -15.5rem;
	bottom: -7rem;
	width: 34.3rem;
	height: 34.3rem;
}

.products-list .icon-product-sky-1 {
	right: -15.5rem;
	bottom: -10.5rem;
	width: 34.3rem;
	height: 34.3rem;
}

.products-list .icon-product-blue-2, .products-list .products-list__item--blue .products-list__link::after, .products-list__item--blue .products-list .products-list__link::after {
	right: -21rem;
	top: -6rem;
	width: 34.3rem;
	height: 34.3rem;
}

.products-list__item--blue .products-list__link::after {
 	background: url(../assets/product-blue-2.svg) center/contain no-repeat;
}

.products-list .icon-product-blue-2, .products-list .products-list__item--blue .products-list__link::after, .products-list__item--blue .products-list .products-list__link::after {
	right: -21rem;
	top: -6rem;
	width: 34.3rem;
	height: 34.3rem;
}

.products-list .icon-product-blue-1 {
	right: -21rem;
	top: -9.5rem;
	width: 34.3rem;
	height: 34.3rem;
}

/*  hover  */
.products-list__item:hover .products-list__link::after {
  	opacity: .2;
}

.products-list__item:hover .products-list__title {
	-webkit-transform: translateY(-3.5rem);
	transform: translateY(-3.5rem);
}

.products-list__item:hover .products-list__more {
	opacity: 1;
	transition: .3s;
}

.products-list__item:hover svg:last-of-type {
	-webkit-transform: scale(4) rotate(45deg);
	transform: scale(4) rotate(45deg);
}

.products-list__item:hover .products-list__link::after {
  	opacity: .2;
}

/* features */

.features {
  	padding-bottom: 15rem;
}

.features__inner {
	position: relative;
	padding: 8rem;
	border-radius: 2rem;
	background-color: var(--primary-bg);
	overflow: hidden;
}

.features__subtitle {
	max-width: 75.2rem;
	margin-bottom: 7rem;
	font: 400 8.8rem/100% var(--main-ff);
	color: var(--head-color);
}

.features__list {
	display: grid;
	grid-template-columns: repeat(2,1fr);
	max-width: 73.7rem;
	gap: 5.4rem 10.8rem;
	counter-reset: features;
}

.features__item::before {
	counter-increment: features;
	content: counter(features);
	display: flex;
	justify-content: center;
	align-items: center;
	width: 5.9rem;
	height: 5.9rem;
	margin-bottom: 1.5rem;
	border-radius: 50%;
	background-color: #D9F5D3;
	font: 300 3rem/80% var(--main-ff);
	color: var(--head-color);
}

.features__item {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
}



.features__item-title {
	margin-bottom: 2rem;
	font: 600 2.4rem/115% var(--main-ff);
	color: var(--head-color);
}

.features__item-text {
  	font: 400 1.6rem/140% var(--main-ff);
}

.features__video-block {
	position: absolute;
	top: -11.3rem;
	right: -46.7rem;
	width: 134.2rem;
	height: 134.2rem;
	background-color: #000;
	overflow: hidden;
}

.features__video-block img {
	position: absolute;
	right: 36.8rem;
	top: -54.2rem;
	max-width: none;
	width: 89.6rem;
	height: 159.3rem;
	-o-object-fit: cover;
	object-fit: cover;
	-webkit-transform-origin: right;
	transform-origin: right;
}

.features .section-header {
  	margin-bottom: 4.2rem;
}



/* news */
.news-section {
  	padding-bottom: 13rem;
}

.news-section .section-header {
  	margin-bottom: 4rem;
}

.news-slider {
  	position: relative;
}

.news-slider {
  	position: relative;
}

.swiper {
	margin-left: auto;
	margin-right: auto;
	position: relative;
	overflow: hidden;
	list-style: none;
	padding: 0;
	z-index: 1;
}

.swiper-wrapper {
	position: relative;
	width: 100%;
	height: 100%;
	z-index: 1;
	display: flex;
	transition-property: transform,-webkit-transform;
	box-sizing: content-box;
}

.swiper-backface-hidden .swiper-slide {
	-webkit-transform: translateZ(0);
	transform: translateZ(0);
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
}
.swiper-slide {
	flex-shrink: 0;
	width: 100%;
	height: 100%;
	position: relative;
  	transition-property: transform,-webkit-transform;
}

.news-card {
	position: relative;
	display: flex;
	flex-direction: column;
	width: 100%;
	height: 100%;
	overflow: hidden;
}

.news-card__categories {
	position: absolute;
	left: 2rem;
	right: 2rem;
	top: 2rem;
	z-index: 3;
	display: flex;
	flex-wrap: wrap;
	margin-right: -1rem;
	margin-bottom: -1rem;
}

.news-card__category::before {
	content: "";
	width: 1.1rem;
	height: 1.1rem;
	border-radius: 50%;
	background-color: var(--head-color);
	transition: .3s;
}

.news-card--main .news-card__category {
  	display: flex;
}
.news-card__category {
	display: flex;
	align-items: center;
	gap: 1rem;
	height: 4.2rem;
	padding: 0 1.5rem;
	margin-right: 1rem;
	margin-bottom: 1rem;
	border-radius: 6rem;
	background-color: rgba(255,255,255,.9);
	font: 400 1.6rem/140% var(--main-ff);
	color: var(--head-color);
	-webkit-backface-visibility: hidden;
	-moz-backface-visibility: hidden;
	-webkit-transform: translate3d(0,0,0);
	-moz-transform: translate3d(0,0,0);
	transition: .3s;
}

.news-card__meta::before {
	content: "";
	width: 1px;
	height: 1.7rem;
	background-color: var(--text-color);
}

.news-card__meta {
	display: flex;
	align-items: center;
	gap: .7rem;
	margin-top: auto;
	font: 400 1.6rem/140% var(--main-ff);
}

.news-card__title {
	position: relative;
	margin-bottom: 1.6rem;
	font: var(--card-title);
	color: var(--head-color);
	display: -webkit-box;
	overflow: hidden;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
}

.news-card__date {
  	order: -1;
}

.news-card__tag {
	position: relative;
	z-index: 3;
	transition: .3s;
}

.news-card__link {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	transition: .3s;
}

.news-card--main .news-card__img {
  	display: block;
}
.news-card__img {
	position: relative;
	z-index: 1;
	width: 100%;
	height: 24rem;
	margin-bottom: 2rem;
	border-radius: 2rem;
	overflow: hidden;
}

.news-slider .slider-navigation {
	position: absolute;
	left: -3rem;
	right: -3rem;
	top: 12rem;
	z-index: 3;
	height: 0;
}
.slider-navigation {
	display: flex;
	justify-content: space-between;
	align-items: center;
	gap: 1rem;
}

.slider-navigation__button {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 6rem;
	height: 6rem;
	border-radius: 50%;
	background-color: #fff;
	box-shadow: 0 0 3rem 0 rgba(0,0,0,.15);
	color: var(--head-color);
	transition: background-color .3s,color .3s;
}

.slider-navigation__button.js-prev-slide svg {
	-webkit-transform: rotate(180deg);
	transform: rotate(180deg);
}
.slider-navigation__button svg {
	width: 1.5rem;
	height: 1rem;
}

.news-card__category:hover {
    background-color: var(--head-color);
    color: #fff;
}

 .news-card__link:hover .news-card__img img {
    -webkit-transform: scale(1.2);
    transform: scale(1.2);
}

.news-card__img img{
	transition: .3s;
	object-fit: cover;
	object-position: center;
	width: 100%;
	height: 100%;	
}

.slider-navigation__button:hover {
	background-color: var(--main-color);
	color: #fff;
}

.news-card__category:hover::before {
    background-color: #fff;
}

